Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 692846 - net-wireless/wpa_supplicant-2.8-r1 with net-wireless/broadcom-sta-6.30.223.271-r5 fails to find AP
Summary: net-wireless/wpa_supplicant-2.8-r1 with net-wireless/broadcom-sta-6.30.223.27...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Rick Farina (Zero_Chaos)
URL:
Whiteboard:
Keywords:
Depends on: 702476
Blocks:
  Show dependency tree
 
Reported: 2019-08-25 07:54 UTC by Petr Bahula
Modified: 2020-02-13 18:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dmesg (dmesg,63.61 KB, text/plain)
2019-08-25 13:59 UTC, Petr Bahula
Details
dmesg (dmesg,63.61 KB, text/plain)
2019-08-25 14:15 UTC, Petr Bahula
Details
ebuild containing the patch (wpa_supplicant-2.9-r10.ebuild,11.72 KB, text/plain)
2020-01-10 15:32 UTC, needle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Bahula 2019-08-25 07:54:49 UTC
Hi
In my ThinkPad is > Network controller: Broadcom Inc. and subsidiaries BCM43142 802.11b/g/n [14e4:4365] (rev 01) < .
I use net-wireless/broadcom-sta-6.30.223.271-r5 (tested with -r4 with the same result).
After update net-wireless/wpa_supplicant from 2.6-r10 to 2.8-r1 the WiFi adapter not see any AP.
After downgrade back to net-wireless/wpa_supplicant-2.6-r10 all work.
If you need more information please ask me.

emerge --info
Portage 2.3.69 (python 2.7.15-final-0, default/linux/amd64/17.1/no-multilib, gcc-8.3.0, glibc-2.29-r2, 4.19.66-gentoo x86_64)
=================================================================
System uname: Linux-4.19.66-gentoo-x86_64-AMD_A8-4500M_APU_with_Radeon-tm-_HD_Graphics-with-gentoo-2.6
KiB Mem:     7290016 total,   5090124 free
KiB Swap:    9437180 total,   9437180 free
Timestamp of repository gentoo: Fri, 23 Aug 2019 00:15:01 +0000
Head commit of repository gentoo: 2d1f619bb53c0dccb12509a94b7fc20d616dfc3c
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.32 p2) 2.32.0
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.5.5::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.14.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            8.3.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://fiona/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24


ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ rsync://ftp.halifax.rwth-aachen.de/gentoo/ ftp://gentoo.lagis.at/ http://www.mirrorservice.org/sites/distfiles.gentoo.org/ http://gentoo.lagis.at/"
LANG="cs_CZ.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="cs en"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl alsa amd64 apng berkdb bitmap-fonts bzip2 cairo cli consolekit crypt cups cxx dbus djvu dri fortran gdbm gtk iconv icu imagemagick ipv6 jpeg libtirpc matroska minizip mp3 ncurses nls nptl ogg opengl openmp pam pcre png policykit pulseaudio python qt3support readline seccomp split-usr sqlite ssl tcpd thunar tiff truetype truetype-fonts type1-fonts udev unicode vorbis xattr xkb zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="cs en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_5 python3_6" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2019-08-25 08:33:21 UTC
Your `dmesg` and actual wpa_supplicant output might be useful here.
Comment 2 Petr Bahula 2019-08-25 13:59:36 UTC
Created attachment 588040 [details]
dmesg
Comment 3 Petr Bahula 2019-08-25 14:15:42 UTC
Created attachment 588042 [details]
dmesg
Comment 4 Petr Bahula 2019-08-25 14:26:27 UTC
Sorry for duplicated dmesg.

In /etc/wpa_supplicant/wpa_supplicant.conf I have:

ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel
update_config=1

network={
        ssid="art_m1"
        psk="**************"
        proto=RSN
        key_mgmt=WPA-PSK
        pairwise=CCMP
        auth_alg=OPEN
}


In /etc/conf.d/net I have:

wpa_supplicant_wlan0="-Dnl80211 -iwlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf" 
associate_timeout_wlan0="30"

I use wpa_gui. I have now:

Status:         Completed (station)
Last message:
Authentication: WPA2-PSK
Encryption:     CCMP + TKIP
SSID:           art_m1
BSSID:          20:aa:4b:2a:cc:3e
IP address:     192.168.235.6

I known, it is not what you need. Please, tell me how get wpa_supplicant output for you.
Comment 5 Petr Bahula 2019-08-26 07:07:30 UTC
====  wpa_supplicant-2.8-r1  ====

petkub ~ # /etc/init.d/net.wlan0 start
 * Bringing up interface wlan0
 *   Running preup ...
 *   Starting wpa_supplicant on wlan0 ...
Successfully initialized wpa_supplicant
 *   Starting wpa_cli on wlan0 ...
 *   Backgrounding ... ...
 * WARNING: net.wlan0 has started, but is inactive
petkub ~ # wpa_cli
wpa_cli v2.8
Copyright (c) 2004-2019, Jouni Malinen <j@w1.fi> and contributors

This software may be distributed under the terms of the BSD license.
See README for more details.


Selected interface 'wlan0'

Interactive mode

<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
.....

====  wpa_supplicant-2.6-r10  ====

petkub ~ # /etc/init.d/net.wlan0 start
 * Bringing up interface wlan0
 *   Running preup ...
 *   Starting wpa_supplicant on wlan0 ...
Successfully initialized wpa_supplicant
wpa_cli 
 *   Starting wpa_cli on wlan0 ...
 *   Backgrounding ... ...
 * WARNING: net.wlan0 has started, but is inactive
petkub ~ # wpa_cli 
wpa_cli v2.6
Copyright (c) 2004-2016, Jouni Malinen <j@w1.fi> and contributors

This software may be distributed under the terms of the BSD license.
See README for more details.


Selected interface 'wlan0'

Interactive mode

<3>CTRL-EVENT-SCAN-STARTED 
<3>CTRL-EVENT-SCAN-RESULTS 
<3>CTRL-EVENT-NETWORK-NOT-FOUND 
<3>CTRL-EVENT-SCAN-STARTED 
<3>CTRL-EVENT-SCAN-RESULTS 
<3>CTRL-EVENT-NETWORK-NOT-FOUND 
> enable_network 2
OK
<3>Trying to associate with cc:2d:e0:75:ba:0e (SSID='ART' freq=2412 MHz)
<3>Associated with cc:2d:e0:75:ba:0e
<3>CTRL-EVENT-SUBNET-STATUS-UPDATE status=0
<3>WPA: Key negotiation completed with cc:2d:e0:75:ba:0e [PTK=CCMP GTK=CCMP]
<3>CTRL-EVENT-CONNECTED - Connection to cc:2d:e0:75:ba:0e completed [id=2 id_str=]
<3>CTRL-EVENT-DISCONNECTED bssid=cc:2d:e0:75:ba:0e reason=0
> 'PING' command timed out.
Connection to wpa_supplicant lost - trying to reconnect
Connection to wpa_supplicant re-established
<3>CTRL-EVENT-SCAN-STARTED 
<3>CTRL-EVENT-SCAN-RESULTS 
<3>Trying to associate with cc:2d:e0:75:ba:0e (SSID='ART' freq=2412 MHz)
<3>Associated with cc:2d:e0:75:ba:0e
<3>CTRL-EVENT-SUBNET-STATUS-UPDATE status=0
<3>WPA: Key negotiation completed with cc:2d:e0:75:ba:0e [PTK=CCMP GTK=CCMP]
<3>CTRL-EVENT-CONNECTED - Connection to cc:2d:e0:75:ba:0e completed [id=2 id_str=]
Comment 6 needle 2019-09-02 07:22:22 UTC
Confirmed. I have the same issue with broadcom-sta, if using wpa_supplicant-2.8.
First could not sort it out, until I have found this bugreport and rechecked installed wpa_supplicant version.

Using wpa_supplicant 2.6-r10 WLAN works, if using wpa_supplicant 2.8, WLAN does not work anymore.


03:00.0 Network controller: Broadcom Inc. and subsidiaries BCM4360 802.11ac Wireless Network Adapter (rev 03)

This broadcom chip is in a MBP 11,1. 

When wpa_supplicant 2.8 is installed and the interface is /etc/init.d/net.wlan0 start-ed. Then the interface reports

---

2: wlan0: <NO-CARRIER,BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state DORMANT group default qlen 1000
    link/ether 6c:40:08:aa:c4:68 brd ff:ff:ff:ff:ff:ff

---

NO-CARRIER and is DORMANT and it remains in this particular state.

If there is no carrier, then either something might be wrong with the used carrier frequencies, 
This would explain the EVENT-SCAN-FAILED that the wpa_cli is reporting. 
It fails to detect any frequencies i would think

the wpa_cli output is following 

---

wpa_cli v2.8
Copyright (c) 2004-2019, Jouni Malinen <j@w1.fi> and contributors

This software may be distributed under the terms of the BSD license.
See README for more details.



Interactive mode

Could not connect to wpa_supplicant: (nil) - re-trying

Selected interface 'wlan0'
Connection established.
> 
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1
<3>CTRL-EVENT-SCAN-FAILED ret=-22 retry=1

---
This is what dmesg shows.

---
[247021.512432] cfg80211: World regulatory domain updated:
[247021.512443] cfg80211:  DFS Master region: unset
[247021.512444] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[247021.512446] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[247021.512448] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz, 92000 KHz AUTO), (N/A, 2000 mBm), (N/A)
[247021.512449] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[247021.512451] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (N/A)
[247021.512452] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
[247021.512453] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[247021.512454] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[247021.512455] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)

--- 
Well the DFS Master region is not set. So something might changed from wpa_supplicant 2.6 to 2.8. The region should be over here set to DE. This might be one of the reasons why the CARRIER is down (no frequencies detected, no carrier) and the inteface is DORMANT (the interface is not in a condition to pass packets it is in a state waiting for some external event).
Comment 7 needle 2019-09-02 07:23:41 UTC
needle@alpha ~ % emerge --info
Portage 2.3.69 (python 3.6.5-final-0, default/linux/amd64/17.1, gcc-8.3.0, glibc-2.29-r2, 4.4.184-gentoo x86_64)
=================================================================
System uname: Linux-4.4.184-gentoo-x86_64-Intel-R-_Core-TM-_i5-4278U_CPU_@_2.60GHz-with-gentoo-2.6
KiB Mem:     8069224 total,   3563428 free
KiB Swap:    4194300 total,   4194300 free
Timestamp of repository gentoo: Mon, 02 Sep 2019 05:45:01 +0000
Head commit of repository gentoo: a3dd0216a6de43789089c52c843909503e3125ad
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.32 p2) 2.32.0
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.14.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            8.3.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: no
    sync-rsync-verify-max-age: 24

needless
    location: /usr/local/portage
    masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/angband/gamedata/ /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg candy collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync metadata-transfer multilib-strict network-sandbox news nodoc parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="7zip X aac acpi alsa amd64 apm asm bash-completion berkdb bonobo bzip2 cairo cddb cjk cli cpudetection cracklib crypt cue cups curl custom-flags cxx dga diskio dri drm egl encode expat faad fbcon flac fontforge fortran fuse gallium gdbm gif glamor gpm gtk gtk2 gtkstyle hscolour iconv imagemagick ipv6 jpeg lame laptop libcaca libclamav libgda libmms libnotify libsamplerate libsndfile libtirpc lm_sensors logrotate lua lzo mad mbox modpack mp3 mpeg mplayer multilib musepack museplug ncurses noamazon nptl ogg oggvorbis opengl openmp openssl pam pango pcre pdf png qemu qt5 readline savedconfig schroedinger screen seccomp sensord sox split-usr sql sqlite sqlite3 ssl svg tcpd tga threads tiff truetype unicode vaapi vim-syntax vorbis wavpack wifi xattr xcomposite xft xml xorg zip zlib zsh-completion" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 fma3 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="synaptics evdev" KERNEL="linux" L10N="de en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="X86" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" QEMU_SOFTMMU_TARGETS="x86_64 i386" QEMU_USER_TARGETS="x86_64 i386" RUBY_TARGETS="ruby25" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 8 needle 2019-09-02 08:05:15 UTC
Tested with wpa_supplicant-2.7, and it does not work using ~2.7-r3. The same behaviour as with 2.8 version.

The wpa_supplicant 2.6 version is currently the only which is working properly.
Comment 9 m.diogo 2019-09-05 20:20:56 UTC
The folks over at Fedora ran into what appears to be the same issue https://bugzilla.redhat.com/show_bug.cgi?id=1703745
It seems to be some interaction between the broadcom driver and having built wpa_supplicant with the -DCONFIG_MESH flag on.

I'm having the same issue on my own system. Over here I only got it working after downgrading to wpa_supplicant 2.6-r10 *and* setting the "gnutls" use flag. Without it set it didn't work. That incidentally turns off that -DCONFIG_MESH in the ebuild.

For versions 2.8-r1 and 2.9 of the ebuild this -DCONFIG_MESH is enabled by having either "-bindist" or "libressl" flags on. Perhaps there should be a separate use flag to enable/disable this MESH configuration option? I can't afford to turn on "bindist" so can't get wpa_supplicant-2.8-r1 to work with the current ebuild.
Comment 10 Petr Bahula 2019-11-09 09:09:31 UTC
net-wireless/wpa_supplicant-2.9-r1
the same problem
Comment 11 needle 2019-11-26 16:37:22 UTC
Confirming wpa_supplicant 2.9-r1 does not work here too.

Today the only working wpa_supplicant version 2.6 has been removed from the portage tree. Anything we can do to resolve this issue? Since now I need to ask myself howto resolve this. What needs to be done that this bugs becomes "confirmed"?
Comment 12 andrei zavada 2019-12-05 04:45:42 UTC
I am building the wl module from github.com/antoineco/broadcom-wl, and can confirm it causes my MBP to freeze when wpa_supplicant >= 2.7 (which I have masked for this reason).
Comment 13 alfcyber 2019-12-18 21:36:44 UTC
Hello,
The same on my system (BCM43228) wpa 2.9. The solution for me was to manually edit the .config with the configuration that was posted on this page: http://www.linuxfromscratch.org/blfs/view/svn/basicnet/wpa_supplicant.html
(It has nothing to do with NM here, it is not even installed, nor was it only useful to deactivate CONFIG_MESH.)
Comment 14 overcq 2020-01-05 17:08:55 UTC
Try this patch applied to /usr/portage/net-wireless/wpa_supplicant/wpa_supplicant-2.9-r1.ebuild
It works on my BCM4313 wireless network adapter.

--- wpa_supplicant-2.9-r1.ebuild.orig	2020-01-05 17:14:42.314550017 +0100
+++ wpa_supplicant-2.9-r1.ebuild	2020-01-05 17:18:59.212554325 +0100
@@ -150,7 +150,7 @@
 	Kconfig_style_config TLSV11
 	Kconfig_style_config TLSV12
 	Kconfig_style_config GETRANDOM
-	Kconfig_style_config MBO
+	Kconfig_style_config MBO n
 
 	# Basic authentication methods
 	# NOTE: we don't set GPSK or SAKE as they conflict
@@ -230,11 +230,11 @@
 	if ! use bindist || use libressl; then
 		Kconfig_style_config EAP_PWD
 		if use fils; then
-			Kconfig_style_config FILS
-			Kconfig_style_config FILS_SK_PFS
+			Kconfig_style_config FILS n
+			Kconfig_style_config FILS_SK_PFS n
 		fi
 		# Enabling mesh networks.
-		Kconfig_style_config MESH
+		Kconfig_style_config MESH n
 		#WPA3
 		Kconfig_style_config OWE
 		Kconfig_style_config SAE
Comment 15 needle 2020-01-10 15:30:02 UTC
Confirmed. I have tested this ebuild patch and it works over here. I get the carrier and the IP address.

Created a patched ebuild containing this particular ebuild patch and attached to this bug-report so it is easier to test.

(In reply to ocq from comment #14)
> Try this patch applied to
> /usr/portage/net-wireless/wpa_supplicant/wpa_supplicant-2.9-r1.ebuild
> It works on my BCM4313 wireless network adapter.
> 
> --- wpa_supplicant-2.9-r1.ebuild.orig	2020-01-05 17:14:42.314550017 +0100
> +++ wpa_supplicant-2.9-r1.ebuild	2020-01-05 17:18:59.212554325 +0100
> @@ -150,7 +150,7 @@
>  	Kconfig_style_config TLSV11
>  	Kconfig_style_config TLSV12
>  	Kconfig_style_config GETRANDOM
> -	Kconfig_style_config MBO
> +	Kconfig_style_config MBO n
>  
>  	# Basic authentication methods
>  	# NOTE: we don't set GPSK or SAKE as they conflict
> @@ -230,11 +230,11 @@
>  	if ! use bindist || use libressl; then
>  		Kconfig_style_config EAP_PWD
>  		if use fils; then
> -			Kconfig_style_config FILS
> -			Kconfig_style_config FILS_SK_PFS
> +			Kconfig_style_config FILS n
> +			Kconfig_style_config FILS_SK_PFS n
>  		fi
>  		# Enabling mesh networks.
> -		Kconfig_style_config MESH
> +		Kconfig_style_config MESH n
>  		#WPA3
>  		Kconfig_style_config OWE
>  		Kconfig_style_config SAE
Comment 16 needle 2020-01-10 15:32:47 UTC
Created attachment 602924 [details]
ebuild containing the patch
Comment 17 Petr Bahula 2020-01-23 11:33:18 UTC
It work with my BCM43142 too.

Appended patch based on ocq@tutanota.com patch and add USEflag "broadcom-sta" for activate necessary changes.

--- wpa_supplicant-2.9-r1.ebuild.orig   2020-01-23 11:58:41.244044210 +0100
+++ wpa_supplicant-2.9-r1.ebuild        2020-01-23 12:04:01.654643728 +0100
@@ -18,7 +18,7 @@
 fi
 
 SLOT="0"
-IUSE="ap bindist dbus eap-sim eapol_test fasteap +fils +hs2-0 libressl macsec p2p privsep ps3 qt5 readline selinux smartcard tdls uncommon-eap-types wimax wps kernel_linux kernel_FreeBSD"
+IUSE="ap bindist broadcom-sta dbus eap-sim eapol_test fasteap +fils +hs2-0 libressl macsec p2p privsep ps3 qt5 readline selinux smartcard tdls uncommon-eap-types wimax wps kernel_linux kernel_FreeBSD"
 
 # CONFIG_PRIVSEP=y does not have sufficient support for the new driver
 # interface functions used for MACsec, so this combination cannot be used
@@ -150,7 +150,11 @@
        Kconfig_style_config TLSV11
        Kconfig_style_config TLSV12
        Kconfig_style_config GETRANDOM
-       Kconfig_style_config MBO
+       if use broadcom-sta ; then
+               Kconfig_style_config MBO n
+       else
+               Kconfig_style_config MBO
+       fi
 
        # Basic authentication methods
        # NOTE: we don't set GPSK or SAKE as they conflict
@@ -230,11 +234,20 @@
        if ! use bindist || use libressl; then
                Kconfig_style_config EAP_PWD
                if use fils; then
-                       Kconfig_style_config FILS
-                       Kconfig_style_config FILS_SK_PFS
+                       if use broadcom-sta ; then
+                               Kconfig_style_config FILS n
+                               Kconfig_style_config FILS_SK_PFS n
+                       else
+                               Kconfig_style_config FILS
+                               Kconfig_style_config FILS_SK_PFS
+                       fi
                fi
                # Enabling mesh networks.
-               Kconfig_style_config MESH
+               if use broadcom-sta ; then
+                       Kconfig_style_config MESH n
+               else
+                       Kconfig_style_config MESH
+               fi
                #WPA3
                Kconfig_style_config OWE
                Kconfig_style_config SAE
Comment 18 m.diogo 2020-01-23 22:40:07 UTC
I use networkmanager and updating that to version 1.18.4-r2 as fixed in linked bug 702476 fixes the problem for me.
Comment 19 Rick Farina (Zero_Chaos) gentoo-dev 2020-02-13 18:56:48 UTC
2.9-r2 has the broadcom-sta flag which will force you to disable the needed flags which are now exposed.  I really hope this helps.